<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            Edit Jenis Resiko
        </p-header>

        <div class="modal-body">
            
            <div class="form-group">
                <label  class="form-control-label mandatory" for="id" >Kode</label>
                <input type="text" class="form-control" id="field_idristyp" name="idristyp" [(ngModel)]="jenisResiko.idristyp" />
            </div>
            <div class="form-group">
                <label class="form-control-label mandatory">Jenis Resiko</label>
                <input type="text" class="form-control"
                name="description"
                id="field_description"
                [(ngModel)]="jenisResiko.description" />
            </div>
            
        </div>
    
        <p-footer>
            <button pButton type="button" (click)="previousState()"
                label="{{'entity.action.cancel' | translate}}" 
                icon="fa-ban"
                class="ui-button-danger flat-label-button">
            </button>
            <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
                label="{{'entity.action.save' | translate}}" 
                icon="fa-save"
                class="ui-button-primary flat-label-button">
            </button>
        </p-footer>
    </p-panel>
</form>    